Surface-filtered harness catalog
curl --request GET \
--url https://api.kombify.io/v1/agents/harnesses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kombify.io/v1/agents/harnesses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kombify.io/v1/agents/harnesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/agents/harnesses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/agents/harnesses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kombify.io/v1/agents/harnesses")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/agents/harnesses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"schemaVersion": 1,
"revision": "<string>",
"harnesses": [
{
"id": "<string>",
"label": "<string>",
"order": 1,
"group": "<string>",
"expertScope": "shared-experts",
"surfaceAccess": [
{
"surface": "<string>",
"mode": "switchable"
}
],
"availability": {
"state": "available",
"allowed": true,
"requiredFeatures": [
"<string>"
],
"missingFeatures": [
"<string>"
],
"retryable": true,
"supportContext": {},
"errorCode": "<string>",
"reasonCode": "<string>",
"userGuidance": {
"title": "<string>",
"body": "<string>",
"nextSteps": [
"<string>"
]
}
},
"voice": {
"dictation": true,
"assistActivation": "hands-free-only",
"voiceAgentEntry": "split-control"
},
"context": {
"kind": "none",
"manualDimensions": [
"<string>"
]
},
"dispatch": {
"protocol": "ag-ui",
"method": "POST",
"agentId": "<string>",
"runHref": "<string>",
"harnessMode": "<string>"
},
"capabilitiesHref": "<string>"
}
]
}{
"error": "<string>",
"reason": "<string>",
"error_code": "<string>",
"reason_code": "<string>",
"service": "<string>",
"required_features": [
"<string>"
],
"missing_features": [
"<string>"
],
"retryable": true,
"user_guidance": {
"title": "<string>",
"body": "<string>",
"next_steps": [
"<string>"
]
},
"capability": "<string>"
}{
"error": "<string>",
"reason": "<string>",
"error_code": "<string>",
"reason_code": "<string>",
"service": "<string>",
"required_features": [
"<string>"
],
"missing_features": [
"<string>"
],
"retryable": true,
"user_guidance": {
"title": "<string>",
"body": "<string>",
"next_steps": [
"<string>"
]
},
"capability": "<string>"
}{
"error": "<string>",
"reason": "<string>",
"error_code": "<string>",
"reason_code": "<string>",
"service": "<string>",
"required_features": [
"<string>"
],
"missing_features": [
"<string>"
],
"retryable": true,
"user_guidance": {
"title": "<string>",
"body": "<string>",
"next_steps": [
"<string>"
]
},
"capability": "<string>"
}{
"error": "<string>",
"reason": "<string>",
"error_code": "<string>",
"reason_code": "<string>",
"service": "<string>",
"required_features": [
"<string>"
],
"missing_features": [
"<string>"
],
"retryable": true,
"user_guidance": {
"title": "<string>",
"body": "<string>",
"next_steps": [
"<string>"
]
},
"capability": "<string>"
}{
"error": "<string>",
"reason": "<string>",
"error_code": "<string>",
"reason_code": "<string>",
"service": "<string>",
"required_features": [
"<string>"
],
"missing_features": [
"<string>"
],
"retryable": true,
"user_guidance": {
"title": "<string>",
"body": "<string>",
"next_steps": [
"<string>"
]
},
"capability": "<string>"
}{
"error": "<string>",
"reason": "<string>",
"error_code": "<string>",
"reason_code": "<string>",
"service": "<string>",
"required_features": [
"<string>"
],
"missing_features": [
"<string>"
],
"retryable": true,
"user_guidance": {
"title": "<string>",
"body": "<string>",
"next_steps": [
"<string>"
]
},
"capability": "<string>"
}agents
Surface-filtered harness catalog
Projects the Agents-owned HarnessSurfaceManifestV1 after fail-closed Gateway filtering by authenticated principal, surface, role, and entitlement. Internal policy and trusted prompt/tool-policy fields are never returned.
GET
/
v1
/
agents
/
harnesses
Surface-filtered harness catalog
curl --request GET \
--url https://api.kombify.io/v1/agents/harnesses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kombify.io/v1/agents/harnesses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kombify.io/v1/agents/harnesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/agents/harnesses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/agents/harnesses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kombify.io/v1/agents/harnesses")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/agents/harnesses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"schemaVersion": 1,
"revision": "<string>",
"harnesses": [
{
"id": "<string>",
"label": "<string>",
"order": 1,
"group": "<string>",
"expertScope": "shared-experts",
"surfaceAccess": [
{
"surface": "<string>",
"mode": "switchable"
}
],
"availability": {
"state": "available",
"allowed": true,
"requiredFeatures": [
"<string>"
],
"missingFeatures": [
"<string>"
],
"retryable": true,
"supportContext": {},
"errorCode": "<string>",
"reasonCode": "<string>",
"userGuidance": {
"title": "<string>",
"body": "<string>",
"nextSteps": [
"<string>"
]
}
},
"voice": {
"dictation": true,
"assistActivation": "hands-free-only",
"voiceAgentEntry": "split-control"
},
"context": {
"kind": "none",
"manualDimensions": [
"<string>"
]
},
"dispatch": {
"protocol": "ag-ui",
"method": "POST",
"agentId": "<string>",
"runHref": "<string>",
"harnessMode": "<string>"
},
"capabilitiesHref": "<string>"
}
]
}{
"error": "<string>",
"reason": "<string>",
"error_code": "<string>",
"reason_code": "<string>",
"service": "<string>",
"required_features": [
"<string>"
],
"missing_features": [
"<string>"
],
"retryable": true,
"user_guidance": {
"title": "<string>",
"body": "<string>",
"next_steps": [
"<string>"
]
},
"capability": "<string>"
}{
"error": "<string>",
"reason": "<string>",
"error_code": "<string>",
"reason_code": "<string>",
"service": "<string>",
"required_features": [
"<string>"
],
"missing_features": [
"<string>"
],
"retryable": true,
"user_guidance": {
"title": "<string>",
"body": "<string>",
"next_steps": [
"<string>"
]
},
"capability": "<string>"
}{
"error": "<string>",
"reason": "<string>",
"error_code": "<string>",
"reason_code": "<string>",
"service": "<string>",
"required_features": [
"<string>"
],
"missing_features": [
"<string>"
],
"retryable": true,
"user_guidance": {
"title": "<string>",
"body": "<string>",
"next_steps": [
"<string>"
]
},
"capability": "<string>"
}{
"error": "<string>",
"reason": "<string>",
"error_code": "<string>",
"reason_code": "<string>",
"service": "<string>",
"required_features": [
"<string>"
],
"missing_features": [
"<string>"
],
"retryable": true,
"user_guidance": {
"title": "<string>",
"body": "<string>",
"next_steps": [
"<string>"
]
},
"capability": "<string>"
}{
"error": "<string>",
"reason": "<string>",
"error_code": "<string>",
"reason_code": "<string>",
"service": "<string>",
"required_features": [
"<string>"
],
"missing_features": [
"<string>"
],
"retryable": true,
"user_guidance": {
"title": "<string>",
"body": "<string>",
"next_steps": [
"<string>"
]
},
"capability": "<string>"
}{
"error": "<string>",
"reason": "<string>",
"error_code": "<string>",
"reason_code": "<string>",
"service": "<string>",
"required_features": [
"<string>"
],
"missing_features": [
"<string>"
],
"retryable": true,
"user_guidance": {
"title": "<string>",
"body": "<string>",
"next_steps": [
"<string>"
]
},
"capability": "<string>"
}Autorizaciones
bearerAuthapiKey
Auth0-issued JWT token for kombify APIs
ParƔmetros de consulta
Opciones disponibles:
workbench, workbench-panel, workbench-studio, cloud, administration, paperwork, cmo, techstack, mobile 